<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>

  <!-- ========== Data Sources Definitions =================================== -->
  <!--
    Define your Struts data sources in a file called struts-data-sources.xml and place
    it in your merge directory.
  -->

  <!-- ========== Form Bean Definitions =================================== -->
 <form-beans>   
	<form-bean
		name = "sysuserForm"
		type = "cn.com.xunuo.webapp.form.SysuserForm"
	/>
    <!--
         If you have non XDoclet forms, define them in a file called struts-forms.xml and
         place it in your merge directory.
    -->
  </form-beans>
  <!-- ========== Action Mapping Definitions =================================== -->
   <action-mappings>     
   <!-- Data Mapping Start -->
    <action
      path="/sys/program/searchData"
      type="cn.com.xunuo.webapp.action.DataAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/program/data.jsp"
        redirect="false"
      />
    </action>

   <!-- Data Mapping End   -->


   <!-- Top  Mapping Start -->
    <action
      path="/sys/program/searchUserSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="true"
      />
	  <forward
        name="success"
        path="/sys/program/top.jsp"
        redirect="false"
      />
    </action>

   <!-- Top Mapping End   -->

<!-- Login start -->
	<action
		path = "/sys/login"
		type = "cn.com.xunuo.webapp.action.LoginAction"
		name = "sysuserForm"
		scope = "request"
		input = "errorMsg"
		parameter = "method"
		unknown = " false "
		validate = " false"
		>
		<forward 
			name = "input"
			path = "/sys/login.jsp"
			redirect ="false"
		/>
		<forward
			name = "success"
			path = "/sys/index.jsp"
			redirect = "true"
		/>
	</action>
	<action
      path="/sys/changeUserPassword"
      type="cn.com.xunuo.webapp.action.LoginAction"
      name="sysuserForm"
      scope="request"
      input="input"
      parameter="method"
      unknown="false"
      validate="false"
    >	  
      <forward
        name="success"
        path="/sys/main.jsp"
        redirect="true"
      />
	  <forward
        name="input"
        path="/sys/userPassword.jsp"
        redirect="false"
      />
    </action>
	<action
		path = "/sys/userMessage"
		type = "cn.com.xunuo.webapp.action.UserMessageAction"
		scope = "request"
		parameter = "method"
		unknown = " false "
		validate = " false"
		>
		<forward
			name = "sysErrorPage"
			path = " /sys/login.jsp"
			redirect = "true"
		/>
		<forward
			name = "success"
			path = "/sys/main.jsp"
			redirect = "false"
		/>
	</action>
	<action
		path = "/sys/logout"
		type = "cn.com.xunuo.webapp.action.LoginAction"
		name = "sysuserForm"
		scope = "request"
		parameter = "method"
		unknown = " false "
		validate = " false"
		>
		<forward
			name = "success"
			path = "/sys/login.jsp"
			redirect = "true"
		/>
	</action>
<!-- Login end -->

<!--Sysuser end -->
	<!--sysuser Unconditional search -->
    <action
      path="/sys/sysuser/searchSysuser"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="true"
      />
	  <forward
        name="success"
        path="/sys/sysuser/sysuserindex.jsp"
        redirect="false"
      />
    </action>

	<!--sysuser role search -->
    <action
      path="/sys/sysuser/searchSysuserRoles"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="view"
        path="/sys/sysuser/userSysuserroleSet.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuser/goto.jsp"
        redirect="false"
      />
	  <forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
    </action>
	<!--sysuser Plate search -->
    <action
      path="/sys/sysuser/searchSysuserPlates"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="view"
        path="/sys/sysuser/userPlateSet.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuser/goto.jsp"
        redirect="false"
      />
	  <forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
    </action>
	<!--sysuser Search the function -->
    <action
      path="/sys/sysuser/findSysuser"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="true"
      />
	  <forward
        name="success"
        path="/sys/sysuser/sysuserindex.jsp"
        redirect="false"
      />
    </action>

	<!--sysuser Add the function -->
    <action
      path="/sys/sysuser/addSysuser"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuser/sysuseredit.jsp"
        redirect="false"
      />
    </action>

	<!--sysuser Edit the function -->
    <action
      path="/sys/sysuser/editSysuser"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuser/sysuseredit.jsp"
        redirect="false"
      />
    </action>

	<!--sysuser Delete the function -->
    <action
      path="/sys/sysuser/deleteSysuser"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuser/goto.jsp"
        redirect="false"
      />
    </action>

	<!--sysuser Save the function -->
    <action
      path="/sys/sysuser/saveSysuser"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
      <forward
        name="input"
        path="/sys/sysuser/sysuseredit.jsp"
        redirect="false"
      />
	   <forward
        name="error"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuser/goto.jsp"
        redirect="false"
      />
    </action>

	<!--sysuser View the function -->
    <action
      path="/sys/sysuser/viewSysuser"
      type="cn.com.xunuo.webapp.action.SysuserAction"
      name="sysuserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuser/sysuserview.jsp"
        redirect="false"
      />
    </action>

	<!--sysuser end -->

    <!-- Forward to page to sys main.jsp -->
    <action path="/sys/main" type="org.apache.struts.actions.ForwardAction"
        parameter="/sys/main.jsp"/>

  </action-mappings>
</struts-config>
